Tokens

Define access permissions to registry resources

This tag groups all operations for tokens.

List all tokens for the container registry

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Query parameters
offsetstringOptional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination)

Default: 0
limitstringOptional

The maximum number of elements to return (used together with offset for pagination)

Default: 100
Responses
chevron-right
200

OK

application/json
countintegerRequired
hrefstringOptional
idstringOptional
limitintegerRequired
offsetintegerRequired
totalintegerRequired
typestringOptional
get
/registries/{registryId}/tokens

Create token

post

Create a token

  • password is only available once in the POST response

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
Responses
post
/registries/{registryId}/tokens

Get token information

get

Gets all information for a specific token used to access a container registry

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
tokenIdstring · uuidRequired

The unique ID of the token

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Responses
chevron-right
200

OK

application/json
hrefstringOptional
idstring · uuidOptional
typestringOptional
get
/registries/{registryId}/tokens/{tokenId}

Create or replace token

put

Create/replace a token

  • password is only available once in the create response

  • "name" cannot be changed

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
tokenIdstringRequired

The unique ID of the token

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
Responses
put
/registries/{registryId}/tokens/{tokenId}

Delete token

delete
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
tokenIdstring · uuidRequired

The unique ID of the token

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Responses
delete
/registries/{registryId}/tokens/{tokenId}

No content

Update token

patch

Update token properties, for example:

  • change status to 'enabled' or 'disabled'

  • change expiry date

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
tokenIdstring · uuidRequired

The unique ID of the token

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
expiryDatestring · date-time · nullableOptional
statusstring · enumOptionalPossible values:
Responses
chevron-right
200

OK

application/json
hrefstringOptional
idstring · uuidOptional
typestringOptional
patch
/registries/{registryId}/tokens/{tokenId}

Last updated

Was this helpful?